org.eclipse.ease.modules

## Interface IModuleCallbackProvider

    public interface IModuleCallbackProvider

Interface for script function callbacks. Such callbacks can be registered for any method and allow to execute arbitrary code before and/or after a method invocation from a module.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasPostExecutionCallback(java.lang.reflect.Method method)` Check if the provider has a post execution callback for the given method.
`boolean` `hasPreExecutionCallback(java.lang.reflect.Method method)` Check if the provider has a pre execution callback for the given method.
`void` `postExecutionCallback(java.lang.reflect.Method method, java.lang.Object result)` Actual callback after the method got executed.
`void` `preExecutionCallback(java.lang.reflect.Method method, java.lang.Object[] parameters)` Actual callback before the method gets executed.

### Method Detail

#### hasPreExecutionCallback

    boolean hasPreExecutionCallback(java.lang.reflect.Method method)

Check if the provider has a pre execution callback for the given method.

Parameters:
  `method` - method to look up
Returns:
  `true` if a pre execution callback is provided

#### hasPostExecutionCallback

    boolean hasPostExecutionCallback(java.lang.reflect.Method method)

Check if the provider has a post execution callback for the given method.

Parameters:
  `method` - method to look up
Returns:
  `true` if a post execution callback is provided

#### preExecutionCallback

    void preExecutionCallback(java.lang.reflect.Method method,
                              java.lang.Object[] parameters)

Actual callback before the method gets executed.

Parameters:
  `method` - method that triggers callback
  `parameters` - method call parameters

#### postExecutionCallback

    void postExecutionCallback(java.lang.reflect.Method method,
                               java.lang.Object result)

Actual callback after the method got executed.

Parameters:
  `method` - method that triggers callback